:- use_module(library(lists)).

% osszeg_lista(OsszegKif, Lista): Az OsszegKif zarojelezett lista alakja Lista.
osszeg_lista(A+B, L) :- 
	osszeg_lista(A, L1),
	osszeg_lista(B, L2),
	append(L2, [')'], L2V),
	append(['('|L1], [+|L2V], L).
osszeg_lista(A, [A]) :- atom(A).

























osszeg_lista2(Ok, L) :-
	osszeg_lista(Ok, L, []).



% osszeg_lista(OK, L0, L): Az OK zarojelezett lista alakja L0-L.
osszeg_lista(A+B, L0, L) :- 
	L0=['('|L1],
	osszeg_lista(A, L1, L2),
	L2=[+|L3],
	osszeg_lista(B, L3, L4),
	L4=[')'|L].
osszeg_lista(A, L0, L) :-
	L0=[A|L], atom(A).




% osszeg_lista1(OK, L0, L): Az OK zarojelezett lista alakja L0-L.
osszeg_lista1(A+B) --> 
	['('],
	osszeg_lista1(A),
	[+],
	osszeg_lista1(B),
	[')'].
osszeg_lista1(A) -->
	[A], {atom(A)}.





% write_list(L): Az L lista elemeit kiirja.
write_list([]).
write_list([C|Cs]) :-
	write(C), write_list(Cs).
