interp(true) :- !.
interp((G1, G2)) :- !,
    interp(G1), interp(G2).
interp(G) :-
    predicate_property(G, built_in), !, call(G).
interp(G) :-
    clause(G, B), interp(B).

:- dynamic app/3, app/4, p/0.

app([], L, L).                
app([X|L1], L2, [X|L3]) :-    
        app(L1, L2, L3).      
                              
app(L1, L2, L3, L123) :-      
        app(L1, L23, L123),   
        app(L2, L3, L23).     


p :-
	write(a), write(b), write(c).

