% kv_pros(L0, P, L) :- Az L0 els pros eleme P, a maradk L.
kv_pros([X|L0], P, L) :-
    X mod 2 =\= 0, !, kv_pros(L0, P, L).
kv_pros([P|L], P, L).

% pros_elemei(L, Pk): Pk az L
% lista pros elemeinek listja.
pros_elemei(L0, Pk) :-
    kv_pros(L0, P, L1), !,
    Pk = [P|Pk1], 
    pros_elemei(L1, Pk1).
pros_elemei(_, []).

pros_eleme(L0, P) :-
    kv_pros(L0, P0, L1),
    (   P = P0
    ;   pros_eleme(L1, P)
    ).
