:- use_module(library(lists)).


% pros_elemei(L, Pk): Pk az L
% lista pros elemeinek listja.
pros_elemei([], []).
pros_elemei([X|L], Pk) :-
    X mod 2 =\= 0, !,
    pros_elemei(L, Pk).
pros_elemei([P|L], [P|Pk]) :-
    pros_elemei(L, Pk).


% pros_eleme(L, P): P egy pros
% eleme az L listnak.
pros_eleme([P|L], P) :-
    P mod 2 =:= 0.
pros_eleme([_|L], P) :-
    pros_eleme(L, P).

pros_eleme2(L, P) :-
    member(P, L), P mod 2 =:= 0.


% pros_eleme3(L, P): P egy pros
% eleme az L listnak.
pros_eleme3([P|L], P) :-
	P mod 2 =\= 0, !,
	pros_eleme3(L, P).
pros_eleme3([P|L], P).
pros_eleme3([_|L], P) :-
	pros_eleme3(L, P).
