% 0. megolds, univ nlkl:
% -------------------------

				% Az X szimbolikus kifejezs egyszerstse EX.
egysz0(X, EX) :- 
	atomic(X), !,
	EX = X.
egysz0(U+V, EKif) :-
	egysz0(U, EU),
	egysz0(V, EV), 
	kiszamol(EU+EV, EU, EV, EKif).
egysz0(U*V, EKif) :-
	egysz0(U, EU),
	egysz0(V, EV), 
	kiszamol(EU*EV, EU, EV, EKif).

% EU s EV rszekbl kpzett EUV egyszerstse EKif.
kiszamol(EUV, EU, EV, EKif) :-
	number(EU), number(EV), !,
	EKif is EUV.
kiszamol(EUV, _, _, EUV).

% alapmegolds, univval:
% ----------------------

% Az X szimbolikus kifejezs egyszerstse EX.
egysz(X, EX) :- 
	atomic(X), !, EX = X.
egysz(Kif, EKif) :-
	Kif =.. [Muv,U,V],	         % Kif = Muv(U,V)
	egysz(U, EU),
	egysz(V, EV),
	EUV =.. [Muv,EU,EV],	         % EUV = Muv(EU,EV)
	kiszamol(EUV, EU, EV, EKif).

% ltalnosts tetszleges tmr kifejezsre
% -------------------------------------------

egysz1(Kif, EKif) :-
    Kif =.. [M|ArgL],
    egysz1_lista(ArgL, EArgL),
    EKif0 =.. [M|EArgL],
    % catch(:Cl,?Kiv,:KCl): ha Cl kivtelt dob, KCl-t futtatja:
    catch(EKif is EKif0, _, EKif = EKif0).

egysz1_lista([], []).
egysz1_lista([K|Kk], [E|Ek]) :- 
    egysz1(K, E),
    egysz1_lista(Kk, Ek).


end_of_file.

| ?- deriv((x+y)*(2+x), x, D), egysz0(D, ED).

| ?- egysz1(f(1+2+a, exp(3,2), a+1+2), E).
