% interp(G, D): A G cl futst D bekezds nyomkvetssel mutatja.
interp(true, _) :- !.
interp((G1, G2), D) :- !,
    interp(G1, D), interp(G2, D).
interp(G, D) :-
    (   trace(G, D, call)
    ;   trace(G, D, fail), fail   % kveti a fail kaput, tovbb-hisul
    ),
    D2 is D+2, clause(G, B), interp(B, D2),
    (   trace(G, D, exit)
    ;   trace(G, D, redo), fail   % kveti a redo kaput, tovbb-hisul
    ).

% A G cl thaladst a Port kapun D bekezds nyomkvetssel mutatja.
trace(G, D, Port) :-
    /* D szkzt r ki*/ tab(D), write(Port), write(': '), write(G), nl.

%---------------------------------------------------------------------------
:- dynamic app/3, app/4. 

app([], L, L).                
app([X|L1], L2, [X|L3]) :-    
        app(L1, L2, L3).      
                              
app(L1, L2, L3, L123) :-      
        app(L1, L23, L123),   
        app(L2, L3, L23).     

% load_files(Files, [compilation_mode(assert_all)]).
